package com.zy.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.common.io.pc.RoleIO;
import com.zy.bms.model.Role;

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
public interface IRoleService extends IService<Role> {

    /**
     * 分页查询
     *
     * @param io 查询条件
     */
    IPage<Role> listPage(RoleIO io);

    /**
     * 角色名查重
     *
     * @param name 角色名
     */
    boolean checkRepeat(String name);
}
